<!doctype html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="stylesheet" href="assets/dependencies/bootstrap-4.3.1-dist/css/bootstrap.min.css">
    <!-- bootstrap arvutis, sest vahest võivad serverid lennata-->
    <link rel="stylesheet" href="assets/css/styles.css"> <!-- meie enda css-->
    <title>Vali IT klient</title>
</head>

<body>
    <div id="mainContainer" class="container-fluid">
        <br />
        <div class="row justify-content-center">
            <div class="main-header">
                <h1>Balti börisettevõtted</h1>
                <table class="table">
                    <thead class="thead-dark">
                        <tr>
                            <th scope="col">ID</th>
                            <th scope="col">Ettevõtte nimi</th>
                            <th scope="col">Logo</th>
                            <th scope="col">Asutatud</th>
                            <th scope="col">Töötajaid</th>
                            <th scope="col">Operatsioonid</th>
                        </tr>
                    </thead>
                    <tbody id="companiesList">

                    </tbody>
                </table>
                <button class="btn btn-light" onclick="handleCompanyAddModalOpening()">Lisa ettevõte</button>

            </div>
        </div>
        <hr />
    </div>
    <br />

    <!-- Modal -->
    <div class="modal fade" id="companyModal" tabindex="-1" role="dialog" aria-labelledby="companyModalLabel"
        aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="companyModalLabel">Ettevõtte Lisamine/muutmine</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="alert alert-secondary" role="alert" style="display: none" id="errorBox">
                        Mingi jama!
                    </div>
                    <input type="hidden" id="companyId" />
                    <div class="form-group">
                        <label for="name">Nimi:</label>
                        <input type="text" id="name" class="form-control" />
                    </div>
                    <div class="form-group">
                        <label for="logo">logo:</label>
                        <input type="text" id="logo" class="form-control" />
                    </div>
                    <div class="form-group">
                        <label for="established">Asutatud:</label>
                        <input type="date" id="established" class="form-control" />
                    </div>
                    <div class="form-group">
                        <label for="employees">Töötajaid:</label>
                        <input type="number" id="employees" class="form-control" />
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Sulge</button>
                        <button type="button" class="btn btn-primary" onclick="handleSave()">
                            Salvesta
                        </button>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <script src="assets/dependencies/jquery-3.3.1/jquery-3.3.1.slim.min.js"></script>
    <script src="assets/dependencies/popper-1.14.7/popper.min.js"></script>
    <script src="assets/dependencies/bootstrap-4.3.1-dist/js/bootstrap.min.js"></script>
    <script src="assets/dependencies/charts-2.8.0/chart.js"></script>
    <script src="assets/js/config.js"></script>
    <script src="assets/js/util.js"></script>
    <script src="assets/js/fetchApi.js"></script>
    <script src="assets/js/controller.js"></script>
    <script>

        // After page load.
        loadCompanies();

    </script>

</body>

</html>